mia-3dcombine-mr-segmentations
Prev | Analysis, filtering, combining, and segmentation of 3D images | Next

### mia-3dcombine-mr-segmentations

#### Sysnopis:

`mia-3dcombine-mr-segmentations` {-i `io`} {-o `io`} [ `options` ...] [ `Plugin type: 3dimage/io` ...]

#### Description:

This programs takes various segmentation masks of the same data and a tissue probability image set and combines them into one labeled image. The masks are translated to labels according to the position on the command line. If a voxel is set as belonging to more then one mask, the probabilities are consulted.

#### Options:

-i, --in-file=(input, required); io

  input probability images. The number of mask images must correspond to the number of probability images given here.. For supported file types see Plugin type: 3dimage/io

-o, --out-file=(output, required); io

  output image that contains the labeling.. For supported file types see Plugin type: 3dimage/io

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Example:

    mia-3dcombine-mr-segmentations

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-3dcombine-imageseries | Home | mia-3dcrispsegment